<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionDialog_QuestMenu_CancelQuest Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d86/a06597.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionDialog_QuestMenu_CancelQuest Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionDialog_QuestMenu_CancelQuest:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d86/a06597.png" usemap="#ExpansionDialog_5FQuestMenu_5FCancelQuest_map" alt=""/>
  <map id="ExpansionDialog_5FQuestMenu_5FCancelQuest_map" name="ExpansionDialog_5FQuestMenu_5FCancelQuest_map">
<area href="../../dd/d43/a05133.html" alt="ExpansionMenuDialogBase" shape="rect" coords="0,0,258,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a394a4463aa6d1c79c56ab3824aad4bab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#a394a4463aa6d1c79c56ab3824aad4bab">ExpansionDialog_QuestMenu_CancelQuest</a> (<a class="el" href="../../da/d34/a05061.html">ExpansionScriptViewMenu</a> parentMenu)</td></tr>
<tr class="separator:a394a4463aa6d1c79c56ab3824aad4bab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201879fe398d184f06b9e2b7b8cb8b9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#a8201879fe398d184f06b9e2b7b8cb8b9">GetDialogTitle</a> ()</td></tr>
<tr class="separator:a8201879fe398d184f06b9e2b7b8cb8b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:adf34caca110f4d7f542bd3626cbc9cca"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/dd1/a01334.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#adf34caca110f4d7f542bd3626cbc9cca">m_Text</a></td></tr>
<tr class="separator:adf34caca110f4d7f542bd3626cbc9cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0cea1454470c075571b4fd4f65c83e8"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d64/a06601.html">ExpansionDialogButton_QuestMenu_CancelQuest_Accept</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#af0cea1454470c075571b4fd4f65c83e8">m_AcceptButton</a></td></tr>
<tr class="separator:af0cea1454470c075571b4fd4f65c83e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a65d75bd85aa0beaf628eb5652e8671"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dd/d0f/a06605.html">ExpansionDialogButton_QuestMenu_CancelQuest_Cancel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#a1a65d75bd85aa0beaf628eb5652e8671">m_CancelButton</a></td></tr>
<tr class="separator:a1a65d75bd85aa0beaf628eb5652e8671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f9adf3325018381bd28dbc9872269bc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d0d/a06589.html">ExpansionQuestMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/a06597.html#a6f9adf3325018381bd28dbc9872269bc">m_QuestMenu</a></td></tr>
<tr class="separator:a6f9adf3325018381bd28dbc9872269bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00469">469</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a394a4463aa6d1c79c56ab3824aad4bab" name="a394a4463aa6d1c79c56ab3824aad4bab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394a4463aa6d1c79c56ab3824aad4bab">&#9670;&#160;</a></span>ExpansionDialog_QuestMenu_CancelQuest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDialog_QuestMenu_CancelQuest::ExpansionDialog_QuestMenu_CancelQuest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d34/a05061.html">ExpansionScriptViewMenu</a>&#160;</td>
          <td class="paramname"><em>parentMenu</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00476">476</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8201879fe398d184f06b9e2b7b8cb8b9" name="a8201879fe398d184f06b9e2b7b8cb8b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8201879fe398d184f06b9e2b7b8cb8b9">&#9670;&#160;</a></span>GetDialogTitle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionDialog_QuestMenu_CancelQuest::GetDialogTitle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00507">507</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af0cea1454470c075571b4fd4f65c83e8" name="af0cea1454470c075571b4fd4f65c83e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0cea1454470c075571b4fd4f65c83e8">&#9670;&#160;</a></span>m_AcceptButton</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d64/a06601.html">ExpansionDialogButton_QuestMenu_CancelQuest_Accept</a> ExpansionDialog_QuestMenu_CancelQuest::m_AcceptButton</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00472">472</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a1a65d75bd85aa0beaf628eb5652e8671" name="a1a65d75bd85aa0beaf628eb5652e8671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a65d75bd85aa0beaf628eb5652e8671">&#9670;&#160;</a></span>m_CancelButton</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dd/d0f/a06605.html">ExpansionDialogButton_QuestMenu_CancelQuest_Cancel</a> ExpansionDialog_QuestMenu_CancelQuest::m_CancelButton</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00473">473</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a6f9adf3325018381bd28dbc9872269bc" name="a6f9adf3325018381bd28dbc9872269bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f9adf3325018381bd28dbc9872269bc">&#9670;&#160;</a></span>m_QuestMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d0d/a06589.html">ExpansionQuestMenu</a> ExpansionDialog_QuestMenu_CancelQuest::m_QuestMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00474">474</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="adf34caca110f4d7f542bd3626cbc9cca" name="adf34caca110f4d7f542bd3626cbc9cca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf34caca110f4d7f542bd3626cbc9cca">&#9670;&#160;</a></span>m_Text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/dd1/a01334.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a> ExpansionDialog_QuestMenu_CancelQuest::m_Text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d0a/a02321_source.html#l00471">471</a> of file <a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/5_mission/dayzexpansion_quests/gui/quests/<a class="el" href="../../d2/d0a/a02321_source.html">expansionquestmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d86/a06597.html">ExpansionDialog_QuestMenu_CancelQuest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
